<template>
  <q-page class="flex flex-center">

    <div class="q-pa-md" style="" >
    <q-list v-for="feed of feeds" :key="feed.id">
      <q-expansion-item popup   icon="rss_feed"  :caption="new Date(feed.pubDate).toLocaleTimeString() + ' -  ' + feed.title">
      <p>{{$t('Feed.title')}}: {{feed.title}}</p>
      <p>{{$t('Feed.description')}}: {{feed.description}}</p>
      <p>{{$t('Feed.language')}}: {{feed.language}}</p>
      <p>{{$t('Feed.copyright')}}: {{feed.copyright}}</p>
    <q-list v-for="message of feed.entries" :key="message.pubDate">
      <q-expansion-item popup   icon="mail"  :caption="new Date(message.pubDate).toLocaleString() + ' ' + message.title">
        <q-separator />
        <q-card>
	<p>{{new Date(message.pubDate).toLocaleString()}}</p>
          <q-card-section>
	  <!--<p>{{$t('Feed.title')}}:</p>-->
	 <h4>{{message.title}} </h4>
         <!--<p>{{$t('Feed.description')}}: --><p>{{message.description}}</p>
	 <p>{{$t('Feed.author')}}: <pre>{{message.author}}</pre></p>
	     <q-btn color="primary" icon="link" @click=openFeed(message.link) label="Go to News" />
          </q-card-section>
        </q-card>
      </q-expansion-item>
    </q-list>
      </q-expansion-item>
    </q-list>
  </div>
</q-page>
</template>

<script>
export default {
    name: 'getFeeds',
    data () {
	return {
            feeds: [],
	}
    },
    methods: {
    	openFeed(url){
		window.open(url, '_blank');
	},
	onPress(id){
	    console.log(id);
	},
	fetchData () {
	    this.$axios.get('http://localhost:8000/api/rss/getFeeds')
		.then((response) => {
		    console.log(response.data);
		    this.feeds = response.data;
		})
                .catch(err => {
                    console.log(err.response.data);
                    this.$q.notify({color: 'negative', message: "Error while fetching your feeds", icon: 'report_problem'})
		})
	}
    },
    created () {
	this.fetchData()
  }
}
</script>
